# -*- coding: utf-8 -*-
"""
    demeter database
    name:hardware.py
    author:rabin
"""
from .__load__ import *

class Setting_server(Model):
	__table__ = 'setting_server'
	__comment__ = '服务配置表'
	id = Fields(type='int', primaryKey=True, autoIncrement=True, comment='服务id')
	name = Fields(type='varchar(50)', comment='服务名称')
	server_type = Fields(type='int', comment='服务协议类型1mqtt2modbus_tcp3modbus_rtu')
	server_host = Fields(type='varchar(50)', comment='服务地址')
	server_port = Fields(type='varchar(50)', comment='服务端口')
	server_time = Fields(type='varchar(50)', comment='每次请求时间间隔，直接填写秒数')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')